opensimulator

 Index du forum > Opensimulator > General Nouveau Répondre
 Compiler Mono 2.4 pour Ubuntu
 
acryline
 07 juin 2009 - 05:03 (Lu 3363 fois)  
++---
Junior

Status : hors ligne


Enregistré: 15/03/2009
Contributions: 28
Peut être que ça sera utile à quelqu'un : voici un lien en anglais qui donne toutes les étapes à suivre pour compiler la version mono 2.4 pour Ubuntu.
Cette version est conseillée, voire indispensable pour utiliser la nouvelle version d'opensim et le paquet d'installation pour Ubuntu n'existe pas encore à ce jour.

http://blog.ruski.co.za/page/Install-Mono-on-Ubuntu.aspx

Ce n'est pas la peine d'être un grand linguiste, il suffit de suivre les indications. A ceci prêt :

-Avant toute chose, il faut desinstaller l'ancienne version de libgdiplus (via synaptic si vous voulez).

- Avant de faire un make sur le dossier d'installation de libgdiplus, donnez aux utilisateurs les droits d'écriture et de lecture pour ce dossier, ça vous évitera peut être de longues heures à chercher pourquoi la compilation ne veut pas se faire.

PHP Formatted Code
 sudo chmod 777 -R libgdiplus-2.4


- Vous pouvez supprimer ce dossier à la fin de l'installation.

- ./configure et make peuvent se faire sans sudo, contrairement à make install

- je me suis arrêtée à : Installing XSP

- A la fin de l'installation, je n'avais plus nant pour installer OpenSim, je ne sais pas pourquoi. Si ça vous arrive, réinstaller le paquet.

Bon courage



 
Profil Email
 Citer
acryline
 07 novembre 2009 - 16:39  
++---
Junior

Status : hors ligne


Enregistré: 15/03/2009
Contributions: 28
Pour la version 0.6.7 d'opensim il faut à nouveau une version plus recente de mono.
Petit rapel avant de mettre à jour mono, il faut supprimer l'ancienne version comme ceci :
PHP Formatted Code
sudo apt-get remove mono-common

N'oubliez pas de désinstaller libgdiplus comme ceci :
[code]sudo apt-get install libgdiplus[/code

Télécharger la nouvelle version de libgdiplus :

$ wget http://ftp.novell.com/pub/mono/sources/libgdiplus/libgdiplus-2.4.2.tar.bz2


Télécharger la nouvelle version de mono :

$ wget http://ftp.novell.com/pub/mono/sources/mono/ mono-2.4.2.3.tar.bz2


Normalement en suivant les instruction du lien donné dans le premier message tout devrait bien se passer.
Il n'est plus nécessaire de modifier votre sources.list si vous n'avez pas changer d'installation.

Bon courage.

 
Profil Email
 Citer
ECH
 07 novembre 2009 - 17:33  
+++++
Active Member

Status : hors ligne


Enregistré: 26/03/2008
Contributions: 240
Merci Acryline

Ce tuto permet en effet une excellente installation de Mono.
A toutes fins utiles, je me permet de glisser une remarque issue d'expérience perso : je n'ai jamais pu installer cette version de Mono sur un Ubuntu 8, en revanche tout se passe très bien à partir de la Ubuntu 9.

La procédure est assez longue, remarquez la petite note 'update' située sous le premier cadre gris 'warning' cette ligne ajoutée récemment permet de récupérer un script qui automatise toute la procédure : c'est moins long (...bien que !!.. soyez patients tout de même) mais surtout on élimine toute frappe avec les risques d'erreurs !
notons aussi que ce script installe directement la mise à jour Mono 2.4.2.3

 
Profil Email
 Citer
Sun Payne
 09 novembre 2009 - 23:05  
AAAAA
Admin

Status : hors ligne


Enregistré: 13/02/2008
Contributions: 71
Bonsoir,

Juste un complément d'info, il faut Mono 2.4.2 ou plus récent pour faire tourner OpenSim (trunk) à partir de maintenant et donc pour la version 0.6.8 à venir.

 
Profil Email Website
 Citer
Contenu généré en 0,77 seconde(s)
Nouveau Répondre


Sujet Normal Sujet Normal
 Sujet important Sujet important
Sujet clos Sujet clos
Nouvelle Contribution Nouvelle Contribution
Nouveau sujet important Nouveau sujet important
Nouveau sujet clos Nouveau sujet clos
Vous pouvez lire ce forum 
Les anonymes peuvent dans ce forum 
HTML autorisé 
Contrôle vocabulaire